﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace wpf_Chart_621858
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            //DataPoint dp = new DataPoint(1, 12);
            
            //this.radChart.DefaultView.ChartArea.DataSeries.Add(new DataSeries());
            //this.radChart.DefaultView.ChartArea.DataSeries[0].Definition.ShowItemToolTips = true;
            //this.radChart.DefaultView.ChartArea.DataSeries[0].Add(dp);

            DataSeries seriesCurva = new DataSeries();
            DataSeries seriesMedia = new DataSeries();

            var media = new List<int>() { 1, 2, 3, 4 };

            foreach (var i in media)
            {
                DataPoint dp = new DataPoint(i, i);
                dp.Tooltip = i.ToString();
                seriesCurva.Add(dp);
                seriesMedia.Add(new DataPoint(i, i));
            }

            seriesCurva.LegendLabel = "StringResources.curve";
            seriesMedia.LegendLabel = "StringResources.average";

            SplineSeriesDefinition serieDef = new SplineSeriesDefinition();
            SplineSeriesDefinition serieDef2 = new SplineSeriesDefinition();
            serieDef.ShowItemLabels = false;
            serieDef.ShowPointMarks = false;
            serieDef.ShowItemToolTips = true;
            serieDef2.ShowItemLabels = false;
            serieDef2.ShowPointMarks = false;
            serieDef2.ShowItemToolTips = true;
            
            seriesCurva.Definition = serieDef;
            seriesMedia.Definition = serieDef2;
            
            SeriesMapping sm = new SeriesMapping();
            sm.SeriesDefinition = serieDef;
            sm.ItemMappings.Add(new ItemMapping("XValue", DataPointMember.XValue));
            sm.ItemMappings.Add(new ItemMapping("YValue", DataPointMember.YValue));
            //this.radChartCurva.SeriesMappings.Add(sm);
            this.radChartCurva.DefaultView.ChartArea.DataSeries.Add(seriesMedia);
            this.radChartCurva.DefaultView.ChartArea.DataSeries.Add(seriesCurva);
        }
    }
}
